Subject: Re: Fwd: That whole "Linux stealing our code" thing

From: Adrian Bunk <[email-masked]>
Date: Sun, 2 Sep 2007 02:09:13 +0200

On Sat, Sep 01, 2007 at 07:29:39PM -0400, Constantine A. Murenin wrote:
> On 01/09/07, Adrian Bunk <[email-masked]> wrote:
> > On Sat, Sep 01, 2007 at 05:27:03PM -0400, Constantine A. Murenin wrote:
> > > On 01/09/07, Adrian Bunk <[email-masked]> wrote:
> > > > On Sat, Sep 01, 2007 at 01:37:18PM -0400, Constantine A. Murenin wrote:
> > > > > On 01/09/07, Jeff Garzik <[email-masked]> wrote:
> > > > > > Constantine A. Murenin wrote:
> > > > > > > This will hopefully help diminish certain myths about the code licensing.
> > > > > >
> > > > > > What myth?  The myth that Theo understands dual licensing?
> > > > >
> > > > > Reyk's code was never dual licensed, so it's not like it even matters
> > > > > to the original dispute.
> > > >
> > > > It's no longer dual licenced in the FreeBSD tree because the FreeBSD
> > > > people removed the GPL choice of the dual licenced code 3 months ago.
> > >
> > > FreeBSD doesn't have Reyk's ath(4) HAL, which OpenHAL is based on.
> > >
> > > FreeBSD has a driver written by Sam, and a binary-only HAL, also written by Sam.
> > >
> > > > So all of Theo's accusations of people breaking the law by making this
> > > > dual licenced code GPL-only apply as well to the FreeBSD people...
> > >
> > > How? FreeBSD doesn't have Reyk's ath(4) HAL from OpenBSD, so there are
> > > no possible licensing accusations and violations.
> >
> > OK, I begin to understand this, there seem to be three different types
> > of files changed by Jiri's patch:
> > 1. dual licenced files planned to make GPL-only
> > 2. previously dual licenced files with a too recent version used planned
> >    to make GPL-only
> > 3. never dual licenced files planned to make GPL-only
> >
> > For files under 1. and 2. Reyk did contribute to dual licenced code
> > without touching the licence, but I missed that there's also code unter 3.
> >
> > So there is a problem, but not with the code under 1. (unless you plan
> > to change the semantics of the word "alternatively"), the problem is
> > with some headers under 2. plus the code under 3.
> >
> > It's funny how Theo missed the part of Jiri's patch that actually is a
> > copyright violation and instead complains about the part that is OK...
> 
> I'm not sure how you conclude that Theo missed the relevant parts --
> there were many messages posted to [email-masked] mailing list and
> to The OpenBSD Journal in the last few days, and to me it appears as
> all of the problems were discussed ad nauseam.
>...

Then it's your fault that you forwarded the wrong email - in the email 
you forwarded the only action for which Theo accused the Linux 
developers of breaking the law was for choosing one licence when using 
dual licenced code.

> After the obvious copyright violations were addressed, I think the
> problem started being an ethical one.
> 
> As a free software user and developer, the question I have is how come
> the Linux community feels that they can take the BSD code that was
> reverse-engineered at OpenBSD, and put a more restrictive licence onto
> it, such that there will be no possibility of the changes going back
> to OpenBSD, given that the main work on the code has happened at
> OpenBSD? (Obviously, such a scenario it is permitted by the licence,
> but my question is an ethical one -- after all, most components of
> OpenHAL were specifically based on the OpenBSD's ath(4) HAL code.)
> 
> You can see that Christoph Hellwig agrees with this ethical problem,
> as in the message below.

Is it a legal problem or is it "only" an ethical problem?

If choosing one licence when using dual licenced code is not a legal 
problem then Theo repeatedly talking about it would "break the law" in 
the email you forwarded was very unethical and the worst he could do
for his cause.

> C.
>...

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed